from kennel.engine.components.position import Position

from .entity import Entity, EntityType


class Cat(Entity):
    def __init__(self, id: str):
        components = [Position(0, 0)]

        super().__init__(EntityType.CAT, id, components)


#
# # IDLE, FROLICKING, EEPY, ALERT, CHASING_CURSOR, CHASING_CAT, SCRATCHING, ITCHY
# state_stochastic_matrix = [ [1, 0]
#     # IDLE
#     [0.5, 0.1, 0.1, 0.1, 0.1, 0.05, 0.05, 0],
#     # FROLICKING
#     [0.1, 0.5, 0.1, 0.1, 0.1, 0.05, 0.05, 0],
#     # EEPY
#     [0.1, 0.1, 0.5, 0.1, 0.1, 0.05, 0.05, 0],
#     # ALERT
#     [0.1, 0.1, 0.1, 0.5, 0.1, 0.05, 0.05, 0],
#     # CHASING_CURSOR
#     [0.1, 0.1, 0.1, 0.1, 0.5, 0.05, 0.05, 0],
#     # CHASING_CAT
#     [0.1, 0.1, 0.1, 0.1, 0.1, 0.5, 0.05, 0],
#     # SCRATCHING
#     [0.1, 0.1, 0.1, 0.1, 0.1, 0.05, 0.5, 0],
#     # ITCHY
#     [0, 0, 0, 0, 0, 0, 0, 1],
# ]
#
#
# class CatState(Enum):
#     IDLE = 0
#     FROLICKING = 1
#     EEPY = 2
#     ALERT = 3
#     CHASING_CURSOR = 4
#     CHASING_CAT = 5
#     SCRATCHING = 6
#     ITCHY = 7
#
#
