from kennel.engine.components.component import ComponentType
from kennel.engine.entities.entity import EntityManager
from kennel.engine.systems.system import System, SystemType
from kennel.engine.systems.network import NetworkSystem


class MarkovTransitionStateSystem(System):
    def __init__(self, network_system: NetworkSystem):
        super().__init__(SystemType.MARKOV)

    def update(self, entity_manager: EntityManager, delta_time: float):
        entity_manager.get_entities_with_component(ComponentType.MARKOV)
        return
