import { Game } from "./game";

export enum SystemType {
  INPUT = "INPUT",
  NETWORK = "NETWORK",
  RENDER = "RENDER",
  TRAILING_POSITION = "TRAILING_POSITION",
}

export abstract class System {
  constructor(public readonly system_type: SystemType) {}

  abstract update(dt: number, game: Game): void;
}
